--[[ Alt-Click to add an item to a mail for sending or to the trade frame. ]]--
AltClickToAddItem = AceLibrary("AceAddon-2.0"):new("AceHook-2.1")

function AltClickToAddItem:OnEnable()
 self:Hook("ContainerFrameItemButton_OnModifiedClick", true)
end

--Based on GMail 1.x which was ported from CT_MailMod pre-1.5
function AltClickToAddItem:ContainerFrameItemButton_OnModifiedClick(...)
  if  (...) == "LeftButton" and IsAltKeyDown() and not CursorHasItem() then
    local bag, slot = this:GetParent():GetID(), this:GetID()
    if SendMailFrame:IsVisible() then
      PickupContainerItem(bag, slot)
      ClickSendMailItemButton()
      return
    elseif TradeFrame:IsVisible() then
      for i = 1, 6 do
        if not GetTradePlayerItemLink(i) then
	  PickupContainerItem(bag, slot)
          ClickTradeButton(i)
	  return
        end
      end
    elseif AuctionFrameAuctions and AuctionFrameAuctions:IsVisible() then
      PickupContainerItem(bag, slot)
      ClickAuctionSellItemButton()
    end
  end
  self.hooks["ContainerFrameItemButton_OnModifiedClick"](...)
end
